//
// Copyright © 2020, 2021 Anticrm Platform Contributors.
// Copyright © 2021 Hardcore Engineering Inc.
//
// Licensed under the Eclipse Public License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License. You may
// obtain a copy of the License at https://www.eclipse.org/legal/epl-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//
// See the License for the specific language governing permissions and
// limitations under the License.
//

import core, { TxFactory } from '@anticrm/core'
import { createStorage } from '../storage'

describe('client', () => {
  it('should create storage', async () => {
    const storage = await createStorage()
    const txes = await storage.findAll(core.class.Tx, {})
    expect(txes.length).toBe(64)
  })

  it('should create space', async () => {
    const storage = await createStorage()
    const factory = new TxFactory(core.account.System)
    const tx = factory.createTxCreateDoc(core.class.Space, core.space.Model, {
      name: 'xxx',
      description: 'desc',
      private: false,
      members: []
    })
    await storage.tx(tx)
    const txes = await storage.findAll(core.class.Space, { name: 'xxx' })
    expect(txes.length).toBe(1)
  })
})
